/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 15.02.2013
  * @author K. Ebert
  */
package paketWohnmobil;

public class Wohnmobil_FK {
  
  // Anfang Attribute
  private int idWohnmobil;
  private String klasse;
  private int personennutzung;
  private double tagespreis;
  private int freikm;
  private double kmpreis;
  private int fahrzeuganzahl;
  // Ende Attribute
  
  public Wohnmobil_FK() {
    this.idWohnmobil = 0;
    this.klasse = "";
    this.personennutzung = 0;
    this.tagespreis = 0;
    this.freikm = 0;
    this.kmpreis = 0;
    this.fahrzeuganzahl = 0;
  }
  
  // Anfang Methoden
  public int getIdWohnmobil() {
    return idWohnmobil;
  }
  
  public void setIdWohnmobil(int idWohnmobil) {
    this.idWohnmobil = idWohnmobil;
  }
  
  public String getKlasse() {
    return klasse;
  }
  
  public void setKlasse(String klasse) {
    this.klasse = klasse;
  }
  
  public int getPersonennutzung() {
    return personennutzung;
  }
  
  public void setPersonennutzung(int personennutzung) {
    this.personennutzung = personennutzung;
  }
  
  public double getTagespreis() {
    return tagespreis;
  }
  
  public void setTagespreis(double tagespreis) {
    this.tagespreis = tagespreis;
  }
  
  public int getFreikm() {
    return freikm;
  }
  
  public void setFreikm(int freikm) {
    this.freikm = freikm;
  }
  
  public double getKmpreis() {
    return kmpreis;
  }
  
  public void setKmpreis(double kmpreis) {
    this.kmpreis = kmpreis;
  }
  
  public int getFahrzeuganzahl() {
    return fahrzeuganzahl;
  }
  
  public void mehrenFahrzeuganzahl(int fahrzeuganzahl) {
    this.fahrzeuganzahl =fahrzeuganzahl;
  }
  
  public void mindernFahrzeuganzahl(int fahrzeuganzahl) {
     if (this.fahrzeuganzahl > fahrzeuganzahl)
      { this.fahrzeuganzahl = this.fahrzeuganzahl -fahrzeuganzahl;}
  }
  
  
  // Ende Methoden
} // end of Wohnmobil_FK
